{# spreadSheetElement #}
{# @version 2.0.0 #}
{% if warnings %}
    <div class='alert alert-warning'>
        <strong>{{ gT("questionSpreadsheetSurvey errors") }}</strong>
        <ul>
            {% for warning in warnings %}
            <li>{{ warning }}</li>
            {% endfor %}
        </ul>
    </div>
{% endif %}
<div class="text-center remove-after-jexcel"><i class="fa fa-spinner fa-spin fa-3x fa-fw"></i></div>
<div id="jexcel{{ inputName }}" class="speadsheet-element"
    data-relatedSurvey="{{ C.Html.encode(relatedSurvey) }}"
    data-inputid="answer{{ inputName }}"
    data-token="{{ C.Html.encode(token) }}"
    data-columns="{{ C.Html.encode(json_encode(spreadsheetOptions.jexcel.columns)) }}"
    data-updateurl="{{ C.Html.encode(spreadsheetOptions.updateUrl) }}"
    data-deleteurl="{{ C.Html.encode(spreadsheetOptions.deleteUrl) }}"
    data-resulturl="{{ C.Html.encode(spreadsheetOptions.resultUrl) }}"
></div>
<div class="answer-item text-item hidden" aria-hidden="true">
    {{ C.Html.textField(
        inputName,
        value,
        {
            'class' : 'form-control',
            'id' : 'answer'~inputName
        }
    ) }}
</div>
<script>
    $("#jexcel{{ inputName }}").on('jexcelloaded', function() {
        $("#question{{ qid }} .remove-after-jexcel").remove();
        $(this).find('[data-toggle="popover"]').popover({
            html: true,
            container: 'body',
            content: function() {
                return $("#"+$(this).attr('data-contentsource')).html();
            },
            template: '<div class="popover jexcel-popover" role="tooltip"><div class="arrow"></div><div class="popover-content"></div></div>'
        });
    });
    $('#answer{{ inputName }}').trigger('keyup');
    questionSpreadsheetSurvey.setSpreadsheet('jexcel{{ inputName }}',{{ json_encode(spreadsheetOptions) }});
</script>
